---
title: Azure Active Directory with ASP.NET Core
author: rick-anderson
description: Discover topics related to authentication with Azure Active Directory in ASP.NET Core.
ms.author: riande
ms.date: 10/04/2017
ms.custom: "mvc, seodec18"
uid: security/authentication/azure-active-directory/index
---
# Azure Active Directory with ASP.NET Core

## Azure AD V1 samples

The following samples show how to integrate Azure AD V1, enabling users to sign-in with a work and school account:
* [Integrating Azure AD Into an ASP.NET Core Web App](https://azure.microsoft.com/documentation/samples/active-directory-dotnet-webapp-openidconnect-aspnetcore/)
* [Calling a ASP.NET Core Web API From a WPF Application Using Azure AD](https://azure.microsoft.com/documentation/samples/active-directory-dotnet-native-aspnetcore/)
* [Calling a Web API in an ASP.NET Core Web Application Using Azure AD](https://azure.microsoft.com/documentation/samples/active-directory-dotnet-webapp-webapi-openidconnect-aspnetcore/)

## Azure AD V2 samples

The following samples show how to integrate Azure AD V2, enabling users to sign-in with a work and school account or a Microsoft personal account (formerly Live account):
* [Integrating Azure AD V2 into an ASP.NET Core 2.0 web app](https://github.com/Azure-Samples/active-directory-aspnetcore-webapp-openidconnect-v2): 
  * See [this associated video](https://channel9.msdn.com/Events/Build/2018/THR5001) 

* [Calling a ASP.NET Core 2.0 Web API from a WPF application using Azure AD V2](https://github.com/azure-samples/active-directory-dotnet-native-aspnetcore-v2): 
  * See [this associated video](https://channel9.msdn.com/Events/Build/2018/THR5000)

## Azure AD B2C sample

This sample shows how to integrate Azure AD B2C, enabling users to sign-in with social identities (like Facebook, Google, ...)
* [An ASP.NET Core web API with Azure AD B2C](https://azure.microsoft.com/resources/samples/active-directory-b2c-dotnetcore-webapi/)
